Name:		mate-window-manager
Version:	1.4.1
Release:	1%{?dist}
Summary:	MATE Desktop window manager
License:	LGPLv2+ GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils gtk2-devel libcanberra-devel libsoup-devel mate-common mate-doc-utils mate-conf-devel mate-corba-devel mate-dialogs 

Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf

Obsoletes: mate-window-manager < 1.4.1

%description
MATE Desktop window manager


%package devel
Summary: Development files for mate-window-manager
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Development files for mate-window-manager

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static --disable-schemas-install
make %{?_smp_mflags} V=1


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
%find_lang %{name} --all-name
find %{buildroot} -name '*.a' -exec rm -vf {} ';'
find %{buildroot} -name '*.la' -exec rm -vf {} ';'
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL


desktop-file-install									\
	--remove-category="MATE"							\
	--add-category="X-Mate"								\
%if 0%{?fedora} < 18
	--remove-only-show-in="MATE"							\
	--add-only-show-in="X-MATE"							\
%endif
	--delete-original								\
	--dir=%{buildroot}%{_datadir}/applications					\
%{buildroot}%{_datadir}/applications/marco.desktop
#%{buildroot}%{_datadir}/mate/wm-properties/marco-wm.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/marco.desktop
#desktop-file-validate %{buildroot}%{_datadir}/mate/wm-properties/marco-wm.desktop

%pre 
if [ "$1" -gt 1 ] ; then
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/mateconf/schemas/*.schemas
        > /dev/null || :
fi

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-install-rule  \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule        \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :



%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/mateconf/schemas/marco.schemas
%{_bindir}/marco
%{_bindir}/marco-message
%{_bindir}/marco-theme-viewer
%{_bindir}/marco-window-demo
%{_datadir}/applications/marco.desktop
%{_datadir}/themes/ClearlooksRe/metacity-1/*.xml
%{_datadir}/themes/Dopple-Left/metacity-1/*.xml
%{_datadir}/themes/Dopple/metacity-1/*.xml
%{_datadir}/themes/DustBlue/metacity-1/*.png
%{_datadir}/themes/DustBlue/metacity-1/*.xml
%{_datadir}/themes/Spidey-Left/metacity-1/*.xml
%{_datadir}/themes/Spidey/metacity-1/*.xml
%{_datadir}/themes/Splint-Left/metacity-1/*.xml
%{_datadir}/themes/Splint/metacity-1/*.xml
%{_datadir}/themes/WinMe/metacity-1/*.png
%{_datadir}/themes/WinMe/metacity-1/*.xml
%{_datadir}/themes/eOS/metacity-1/*.png
%{_datadir}/themes/eOS/metacity-1/*.xml


%{_datadir}/marco/icons/marco-window-demo.png
%{_datadir}/mate-control-center/keybindings/50-marco-desktop-key.xml
%{_datadir}/mate-control-center/keybindings/50-marco-key.xml
%{_datadir}/mate/help/creating-marco-themes/C/creating-marco-themes.xml
%{_datadir}/mate/wm-properties/marco-wm.desktop
%{_libdir}/libmarco-private.so.0*

%files devel
%{_includedir}/marco-1/
%{_libdir}/libmarco-private.so
%{_libdir}/pkgconfig/libmarco-private.pc


%changelog
* Sun Sep 02 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-1
- Upgrade to new upstream version.

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-5
- drop unneeded python-related build deps
- %%configure --disable-schemas-install
- fix/simplify some parent-dir ownership

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org>  1.4.0-4
- main pkg Requires: %%name-libs
- drop needless icon scriptlets
- s|MATE|X-MATE| .desktop Categories on < f18 only
- License: GPLv2+

* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Own theme directories that are being installed, switch from po_package to namefor lang files, bump release version

* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Add mateconf scriptlets

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
